ata_link_init
Prev | Chapter 5. libata Core Internals | Next

## Name

ata_link_init — Initialize an ata_link structure

## Synopsis

`void ata_link_init (` | struct ata_port * | ap,
| struct ata_link * | link,
| int | pmp`)`;

## Arguments

`ap`

  ATA port link is attached to

`link`

  Link structure to initialize

`pmp`

  Port multiplier port number

## Description

Initialize `link`.

## LOCKING

Kernel thread context (may sleep)

Prev | Up | Next
ata_dev_init | Home | sata_link_init_spd